Smart Proxy - Support #19451

ERF12-4115: Unable to get classes/enviornments from Puppet
05/03/2017 11:49 AM - Bhanu Prasad Ganguru

Status: Resolved
Priority: Normal
Assignee:

Category: Puppet

Target version:

Triaged: Found in Releases:

Fixed in Releases:

Description
Hi,
foreman unable to get classes/environments from puppet

Errors from API:
([RestClient::NotAcceptable]: 406 Not Acceptable) for proxy https:puppetmaster03.rc.hms.harvard.edu:8443/puppet

Proxy logs:

D, [2017-05-03T11:44:18.513699 ] DEBUG -- : Rack::Handler::WEBrick is invoked.

D, [2017-05-03T11:44:18.514351 ] DEBUG -- : verifying remote client 10.120.6.116 against trusted_hosts
["foreman.rc.hms.harvard.edu”]

W, [2017-05-03T11:44:18.515102 ] WARN -- : Puppet server classes cache is disabled, classes retrieval can be slow.

E, [2017-05-03T11:44:23.588706 ] ERROR -- : Error while retrieving puppet classes for 'production' environment

D, [2017-05-03T11:44:23.588787 ] DEBUG -- : 403 Forbidden request: /puppet/v3/environment_classes (method :get). Please see
the server logs for details. (Proxy::Error::HttpError)
/usr/share/foreman-proxy/modules/puppet_proxy_puppet_api/v3_api_request.rb:26:in “list_classes'
/usr/share/foreman-proxy/modules/puppet_proxy_puppet_api/v3_environment_classes_api_classes_retriever.rb:81:in “block in
async_get_classes'

/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/safe_task_executor.rb:24:in “call’
/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/safe_task_executor.rb:24:in “block in execute'
/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/synchronization/mri_lockable_object.rb:38:in “block in synchronize'
/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/synchronization/mri_lockable_object.rb:38:in “synchronize'
/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/synchronization/mri_lockable_object.rb:38:in “synchronize'
/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/safe_task_executor.rb:19:in “execute’
/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/promise.rb:526:in “block in realize'
/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/ruby_thread_pool_executor.rb:333:in “call’
/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/ruby_thread_pool_executor.rb:333:in “run_task'’
/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/ruby_thread_pool_executor.rb:322:in "block (3 levels) in
create_worker'

/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/ruby_thread_pool_executor.rb:305:in “loop'
/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/ruby_thread_pool_executor.rb:305:in “block (2 levels) in
create_worker'

/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/ruby_thread_pool_executor.rb:304:in “catch’
/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/ruby_thread_pool_executor.rb:304:in “block in create_worker'
E, [2017-05-03T11:44:23.589320 ] ERROR -- : Failed to show puppet classes: 403 Forbidden request:
/puppet/v3/environment_classes (method :get). Please see the server logs for details.

D, [2017-05-03T11:44:23.589413 ] DEBUG -- : Failed to show puppet classes: 403 Forbidden request:
/puppet/v3/environment_classes (method :get). Please see the server logs for details.

[, [2017-05-03T11:44:23.589685 ] INFO -- : 10.120.6.116 - - [03/May/2017:11:44:23 -0400] "GET
/puppet/environments/production/classes HTTP/1.1" 406 139 5.0755

Thanks for you help

Bhanu

History

#1 - 05/03/2017 12:21 PM - Anonymous
- Category set to Puppet
Please check puppet server log. You probably need to relax access controls on /v3/environment_classes resource. Please see
https://docs.puppet.com/puppet/4.10/config_file_auth.html or https://docs.puppet.com/puppetserver/2.7/config_file_auth.html for details.

Also, please prefer the mailing list or IRC channel for support queries, see https://theforeman.org/support.html for details.

#2 - 05/04/2017 12:05 PM - Bhanu Prasad Ganguru

Thanks dmitri
That solved the issue

You can resolve this ticket

#3 - 05/04/2017 12:05 PM - Bhanu Prasad Ganguru

- Status changed from New to Resolved
